## org.biojava.bio.dp
Class ScoreType.Odds

    java.lang.Object
      org.biojava.bio.dp.ScoreType.Odds

All Implemented Interfaces:
  ScoreType

Enclosing class:
  ScoreType

public static class ScoreType.Odds
extends java.lang.Object
implements ScoreType

In this class, calculateScore returns the odds ratio of a symbol being emitted. That is, the ratio of the probability of a Symbol being emitted to it being emitted by the null model.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes inherited from class org.biojava.bio.dp.ScoreType
`ScoreType.NullModel, ScoreType.Odds, ScoreType.Probability`

Field Summary

Fields inherited from interface org.biojava.bio.dp.ScoreType
`NULL_MODEL, ODDS, PROBABILITY`

Constructor Summary
`ScoreType.Odds()`

Method Summary
`double` `calculateScore(Distribution dist, Symbol sym)` Calculates the score associated with a distribution and a symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScoreType.Odds

    public ScoreType.Odds()

Method Detail

### calculateScore

    public double calculateScore(Distribution dist,
                                 Symbol sym)
                          throws IllegalSymbolException

  Description copied from interface: `ScoreType`
  Calculates the score associated with a distribution and a symbol.

  Specified by:
    `calculateScore` in interface `ScoreType`
  Throws:
    `IllegalSymbolException`